Results 1 to 5 of 5

Thread: installing Adobe Reader

  1. #1
    Join Date
    Jan 2008
    Location
    Canada
    Beans
    18
    Distro
    Ubuntu 8.04 Hardy Heron

    installing Adobe Reader

    Hi, I am trying to install Adobe Reader but have some dependency problems. Installing via synaptic fails because of broken packages. Here's more info from the command line:

    Code:
    $ sudo apt-get install acroread
    Reading package lists... Done
    Building dependency tree       
    Reading state information... Done
    Some packages could not be installed. This may mean that you have
    requested an impossible situation or if you are using the unstable
    distribution that some required packages have not yet been created
    or been moved out of Incoming.
    The following information may help resolve the situation:
    
    The following packages have unmet dependencies:
     acroread : Depends: nspluginwrapper but it is not installable
    E: Unable to correct problems, you have held broken packages.
    Code:
    sudo apt-get install nspluginwrapper
    Reading package lists... Done
    Building dependency tree       
    Reading state information... Done
    Package nspluginwrapper is not available, but is referred to by another package.
    This may mean that the package is missing, has been obsoleted, or
    is only available from another source
    
    E: Package 'nspluginwrapper' has no installation candidate
    I also tried down loading AdbeRdr9.5.3-1_i386linux_enu.deb and installing via the software centre --> also fails. My system
    Code:
    $ lsb_release -a
    No LSB modules are available.
    Distributor ID:	Ubuntu
    Description:	Ubuntu 11.10
    Release:	11.10
    Codename:	oneiric

  2. #2
    Join Date
    Nov 2006
    Location
    The green
    Beans
    Hidden!
    Distro
    Kubuntu 12.10 Quantal Quetzal

    Re: installing Adobe Reader

    Did you enable all the repositories in Software Sources? (I think this package is in the Multiverse repo)

    Otherwise, you can find the package here: https://launchpad.net/ubuntu/+source/nspluginwrapper

  3. #3
    Join Date
    Jan 2008
    Location
    Canada
    Beans
    18
    Distro
    Ubuntu 8.04 Hardy Heron

    Re: installing Adobe Reader

    Quote Originally Posted by omeomi View Post
    Did you enable all the repositories in Software Sources? (I think this package is in the Multiverse repo)

    Otherwise, you can find the package here: https://launchpad.net/ubuntu/+source/nspluginwrapper
    Thanks, yes multiverse is enabled but oddly synaptic doesn't show the nspluginwrapper package. Here's what I found when I tried to manually download & install:
    Code:
    $ sudo dpkg -i nspluginwrapper_1.4.4-0ubuntu3_amd64.deb 
    [sudo] password for cs: 
    Selecting previously deselected package nspluginwrapper.
    (Reading database ... 588937 files and directories currently installed.)
    Unpacking nspluginwrapper (from nspluginwrapper_1.4.4-0ubuntu3_amd64.deb) ...
    dpkg: dependency problems prevent configuration of nspluginwrapper:
     nspluginwrapper depends on nspluginviewer (= 1.4.4-0ubuntu3); however:
      Package nspluginviewer is not installed.
    dpkg: error processing nspluginwrapper (--install):
     dependency problems - leaving unconfigured
    Processing triggers for man-db ...
    Errors were encountered while processing:
     nspluginwrapper
    But oddly nspluginviewer is supposed to be contained in nspluginwrapper ?!? I am confused

  4. #4
    Join Date
    Nov 2006
    Location
    The green
    Beans
    Hidden!
    Distro
    Kubuntu 12.10 Quantal Quetzal

    Re: installing Adobe Reader

    You could run this to see if it gives you any hints about broken packages:
    Code:
    sudo apt-get install -f
    and/or boot into recovery mode and choose "Fix broken packages"

    This guy seems to have the same problem and apparantly was only able to solve it by reinstalling Ubuntu (which should not be a big deal as long as you have a separate /home partition):
    http://askubuntu.com/questions/76766...dency-problems

  5. #5
    Join Date
    Jan 2008
    Location
    Canada
    Beans
    18
    Distro
    Ubuntu 8.04 Hardy Heron

    Re: installing Adobe Reader

    Good news! After enabling the multiverse repo I ran an update. This installed a few new packages from multiverse. Then tried to install acroread again and it works

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •